Skip to main content
GET
/
api
/
v3
/
admin
/
payment_methods
/
{id}
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const paymentMethod = await client.paymentMethods.get('pm_UkLWZg9DAJ')
{
  "id": "pm_UkLWZg9DAJ",
  "name": "Check",
  "description": null,
  "type": "check",
  "session_required": false,
  "source_required": false,
  "metadata": {},
  "active": true,
  "auto_capture": null,
  "storefront_visible": true,
  "position": 1,
  "created_at": "2026-05-17T22:58:10.803Z",
  "updated_at": "2026-05-17T22:58:10.805Z",
  "preferences": {},
  "preference_schema": []
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Path Parameters

id
string
required

Query Parameters

expand
string

Comma-separated associations to expand. Use dot notation for nested expand (max 4 levels).

fields
string

Comma-separated list of fields to include (e.g., name,type,active). id is always included.

Response

200 - application/json

payment method found